<!-- Google Map -->
<hr class="inner-separator">
<aside id="gMap" class="col-ms-12 map-sm"></aside>
<?=$gisform->renderF([
                    "type"=> $gisType,
                    "name"=> $name,
                    "address"=> $address,
                    "labelhide"=> $labelhide,
                    "addressreadonly"=> $addressreadonly
                  ]);?>

<script type="text/javascript">
function _initMap() {
    gMapObj = new google.maps.Map(
      document.getElementById('gMap'),
      {
        zoom: 10,
        streetViewControl: false,
        mapTypeControl: false,
        mapTypeId: google.maps.MapTypeId.ROADMAP
      }
    );

    /**
     * 從地圖點擊時抓取經緯度
     * */
    gMapObj.addListener("click", function(event){
        _map_add_marker(event.latLng, 1);
        _map_update_latlng(event.latLng);
    });
}

$(function(){
    // 儲存座標點
    _map_save_geomarker('<?=$this->url->get('core/gis/save');?>');
});
</script>